> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anyfast.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# happyhorse-1.0-t2v

> Submit a text-to-video generation task. Returns a `task_id` immediately. Poll `GET /v1/video/generations/{task_id}` to check status and retrieve the video URL.




## OpenAPI

````yaml api-reference/model-api/alibaba/openapi/happyhorse-1.0-t2v/openapi.yaml POST /v1/video/generations
openapi: 3.1.0
info:
  title: HappyHorse 1.0 T2V
  description: Alibaba DashScope HappyHorse 1.0 text-to-video generation via AnyFast API
  version: 1.0.0
servers:
  - url: https://www.anyfast.ai
security:
  - bearerAuth: []
paths:
  /v1/video/generations:
    post:
      summary: Create Text-to-Video Task
      description: >
        Submit a text-to-video generation task. Returns a `task_id` immediately.
        Poll `GET /v1/video/generations/{task_id}` to check status and retrieve
        the video URL.
      operationId: createHappyhorse10T2v
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - model
                - prompt
              properties:
                model:
                  type: string
                  enum:
                    - happyhorse-1.0-t2v
                  description: Model ID.
                  example: happyhorse-1.0-t2v
                prompt:
                  type: string
                  description: Text description of the video to generate.
                  example: A cat running on grass
                resolution:
                  type: string
                  enum:
                    - 720P
                    - 1080P
                  default: 1080P
                  description: Video resolution.
                  example: 720P
                ratio:
                  type: string
                  enum:
                    - '16:9'
                    - '9:16'
                    - '1:1'
                    - '4:3'
                    - '3:4'
                  default: '16:9'
                  description: Aspect ratio.
                  example: '16:9'
                duration:
                  type: integer
                  minimum: 3
                  maximum: 15
                  default: 5
                  description: Video duration in seconds.
                  example: 5
                watermark:
                  type: boolean
                  default: true
                  description: >-
                    Whether to add the bottom-right "Happy Horse" watermark. Set
                    to `false` to disable.
                  example: false
                seed:
                  type: integer
                  minimum: 0
                  maximum: 2147483647
                  description: Random seed for reproducibility.
                  example: 42
                parameters:
                  type: object
                  description: >-
                    Optional alternative location for the same parameters above
                    (DashScope-native style). Top-level and `parameters` are
                    equivalent.
      responses:
        '200':
          description: Task created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: asyntask_jwgfhsG0m2aDjLmiiELRf74eoWmss6ya
                  task_id:
                    type: string
                    example: asyntask_jwgfhsG0m2aDjLmiiELRf74eoWmss6ya
                  object:
                    type: string
                    example: video
                  model:
                    type: string
                    example: happyhorse-1.0-t2v
                  status:
                    type: string
                    example: queued
                  progress:
                    type: integer
                    example: 0
                  created_at:
                    type: integer
                    example: 1777343862
        '400':
          description: Invalid request
        '401':
          description: Unauthorized
        '429':
          description: Rate limit exceeded
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````